﻿using Clio.Utilities;
using ff14bot.Helpers;
using Newtonsoft.Json;
using System.Configuration;
using System.IO;

namespace RePear.Settings
{
    public class RePearSettings : JsonSettings
    {
        [JsonIgnore]
        private static RePearSettings _instance;
        public static RePearSettings instance { get { return _instance ?? (_instance = new RePearSettings("RePearSettings")); } }
        public RePearSettings(string filename) : base(Path.Combine(CharacterSettingsDirectory, "RePear.json")) { }

        [Setting]
        public int Hours { get; set; }
        public int Minutes { get; set; }
    }
}
